import { createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import * as ay from "@alloy-js/core";
import * as ts from "@alloy-js/typescript";
import { httpRuntimeTemplateLib } from "../external-packages/ts-http-runtime.js";
export function getClientContextOptionsRef(client) {
  return ay.refkey(client, "options");
}
export function ClientContextOptionsDeclaration(props) {
  const ref = getClientContextOptionsRef(props.client);
  const namePolicy = ts.useTSNamePolicy();
  const name = namePolicy.getName(`${props.client.name}Options`, "interface");

  // TODO: Here we will calculate and include all the options that the client can accept
  const clientOptions = new Map();
  return _$createComponent(ts.InterfaceDeclaration, {
    "export": true,
    name: name,
    refkey: ref,
    get ["extends"]() {
      return _$createComponent(ts.Reference, {
        get refkey() {
          return httpRuntimeTemplateLib.ClientOptions;
        }
      });
    },
    get children() {
      return [_$createComponent(ay.For, {
        get each() {
          return Array.from(clientOptions.entries());
        },
        semicolon: true,
        line: true,
        children: ([key, value]) => _$createComponent(ts.InterfaceMember, {
          optional: true,
          name: key,
          type: value
        })
      }), _$createComponent(ts.InterfaceMember, {
        optional: true,
        name: "endpoint",
        type: "string"
      }), ";"];
    }
  });
}
//# sourceMappingURL=client-context-options.js.map