import { createComponent as _$createComponent } from "@alloy-js/core/jsx-runtime";
import * as ts from "@alloy-js/typescript";
import { ClientContextDeclaration } from "./client-context-declaration.js";
import { ClientContextFactoryDeclaration } from "./client-context-factory.js";
import { ClientContextOptionsDeclaration } from "./client-context-options.js";
export function ClientContext(props) {
  const namePolicy = ts.useTSNamePolicy();
  const fileName = namePolicy.getName(props.client.name + "Context", "variable");
  return _$createComponent(ts.SourceFile, {
    path: `${fileName}.ts`,
    get children() {
      return [_$createComponent(ClientContextDeclaration, {
        get client() {
          return props.client;
        }
      }), _$createComponent(ClientContextOptionsDeclaration, {
        get client() {
          return props.client;
        }
      }), _$createComponent(ClientContextFactoryDeclaration, {
        get client() {
          return props.client;
        }
      })];
    }
  });
}
//# sourceMappingURL=client-context.js.map