import { $ } from "@typespec/compiler/experimental/typekit";
import { reportDiagnostic } from "../../lib.js";
import { unpackProperty } from "../utils/unpack-model-property.js";
import { getScalarTransformer } from "./scalar-transform.js";
export function ScalarDataTransform(props) {
  let scalar;
  let encoding;
  if ($.modelProperty.is(props.type)) {
    const valueType = unpackProperty(props.type);
    if (!$.scalar.is(valueType)) {
      reportDiagnostic($.program, {
        code: "unexpected-non-scalar-type",
        target: props.type
      });
      return null;
    }
    scalar = valueType;
    encoding = $.modelProperty.getEncoding(props.type);
  } else {
    scalar = props.type;
    encoding = $.scalar.getEncoding(scalar);
  }
  // const encoding = $.scalar.getEncoding(scalar);

  const {
    toApplication,
    toTransport
  } = getScalarTransformer(scalar);
  return props.target === "transport" ? toTransport(props.itemRef, encoding) : toApplication(props.itemRef, encoding);
}
//# sourceMappingURL=data-transform.js.map