import { Children, Refkey } from "@alloy-js/core";
import { EncodeData, Scalar } from "@typespec/compiler";
export type TransformerFn = (itemRef: Refkey | Children, encoding?: EncodeData) => Children;
export interface TransformerPair {
    toTransport: TransformerFn;
    toApplication: TransformerFn;
}
/**
 * Returns the transformer pair for the given scalar type.
 *
 * @param type - The scalar type to look up.
 * @returns The transformer pair from scalarTransformerMap for the given type.
 */
export declare function getScalarTransformer(type: Scalar): TransformerPair;
//# sourceMappingURL=scalar-transform.d.ts.map