export interface JsClientEmitterOptions {
    "package-name"?: string;
}
export declare const $lib: import("@typespec/compiler").TypeSpecLibrary<{
    "unknown-encoding": {
        readonly default: "Unknown encoding";
    };
    "mixed-part-nonpart": {
        readonly default: "Mixed part and non-part properties in model";
    };
    "operation-not-in-client": {
        readonly default: "Tried to get a client from an operation that is not in a client";
    };
    "non-model-parts": {
        readonly default: "Non-model parts are not supported";
    };
    "multiple-auth-schemes-not-yet-supported": {
        readonly default: "Multiple authentication schemes are not yet supported";
    };
    "key-credential-non-header-not-implemented": {
        readonly default: "Key credential in query or cookie is not implemented";
    };
    "unsupported-nondiscriminated-union": {
        readonly default: "Unsupported non-discriminated union, skipping deserializer";
    };
    "no-name-type": {
        readonly default: "Trying to get a name from a type that doesn't have a name";
    };
    "symbol-name-not-supported": {
        readonly default: "The transform namer doesn't support symbol names";
    };
    "unsupported-content-type": {
        readonly default: "Unsupported content type. Falling back to json";
    };
    "missing-http-parts": {
        readonly default: "The operation is defined as a Multipart operation but has no parts";
    };
    "use-encoding-context-without-provider": {
        readonly default: "Trying to use encoding context without a provider";
    };
    "unexpected-non-scalar-type": {
        readonly default: "Unexpected non-scalar type when trying to extract Scalar data";
    };
}, JsClientEmitterOptions, never>;
export declare const reportDiagnostic: <C extends "unknown-encoding" | "mixed-part-nonpart" | "operation-not-in-client" | "non-model-parts" | "multiple-auth-schemes-not-yet-supported" | "key-credential-non-header-not-implemented" | "unsupported-nondiscriminated-union" | "no-name-type" | "symbol-name-not-supported" | "unsupported-content-type" | "missing-http-parts" | "use-encoding-context-without-provider" | "unexpected-non-scalar-type", M extends keyof {
    "unknown-encoding": {
        readonly default: "Unknown encoding";
    };
    "mixed-part-nonpart": {
        readonly default: "Mixed part and non-part properties in model";
    };
    "operation-not-in-client": {
        readonly default: "Tried to get a client from an operation that is not in a client";
    };
    "non-model-parts": {
        readonly default: "Non-model parts are not supported";
    };
    "multiple-auth-schemes-not-yet-supported": {
        readonly default: "Multiple authentication schemes are not yet supported";
    };
    "key-credential-non-header-not-implemented": {
        readonly default: "Key credential in query or cookie is not implemented";
    };
    "unsupported-nondiscriminated-union": {
        readonly default: "Unsupported non-discriminated union, skipping deserializer";
    };
    "no-name-type": {
        readonly default: "Trying to get a name from a type that doesn't have a name";
    };
    "symbol-name-not-supported": {
        readonly default: "The transform namer doesn't support symbol names";
    };
    "unsupported-content-type": {
        readonly default: "Unsupported content type. Falling back to json";
    };
    "missing-http-parts": {
        readonly default: "The operation is defined as a Multipart operation but has no parts";
    };
    "use-encoding-context-without-provider": {
        readonly default: "Trying to use encoding context without a provider";
    };
    "unexpected-non-scalar-type": {
        readonly default: "Unexpected non-scalar type when trying to extract Scalar data";
    };
}[C]>(program: import("@typespec/compiler").Program, diag: import("@typespec/compiler").DiagnosticReport<{
    "unknown-encoding": {
        readonly default: "Unknown encoding";
    };
    "mixed-part-nonpart": {
        readonly default: "Mixed part and non-part properties in model";
    };
    "operation-not-in-client": {
        readonly default: "Tried to get a client from an operation that is not in a client";
    };
    "non-model-parts": {
        readonly default: "Non-model parts are not supported";
    };
    "multiple-auth-schemes-not-yet-supported": {
        readonly default: "Multiple authentication schemes are not yet supported";
    };
    "key-credential-non-header-not-implemented": {
        readonly default: "Key credential in query or cookie is not implemented";
    };
    "unsupported-nondiscriminated-union": {
        readonly default: "Unsupported non-discriminated union, skipping deserializer";
    };
    "no-name-type": {
        readonly default: "Trying to get a name from a type that doesn't have a name";
    };
    "symbol-name-not-supported": {
        readonly default: "The transform namer doesn't support symbol names";
    };
    "unsupported-content-type": {
        readonly default: "Unsupported content type. Falling back to json";
    };
    "missing-http-parts": {
        readonly default: "The operation is defined as a Multipart operation but has no parts";
    };
    "use-encoding-context-without-provider": {
        readonly default: "Trying to use encoding context without a provider";
    };
    "unexpected-non-scalar-type": {
        readonly default: "Unexpected non-scalar type when trying to extract Scalar data";
    };
}, C, M>) => void, createDiagnostic: <C extends "unknown-encoding" | "mixed-part-nonpart" | "operation-not-in-client" | "non-model-parts" | "multiple-auth-schemes-not-yet-supported" | "key-credential-non-header-not-implemented" | "unsupported-nondiscriminated-union" | "no-name-type" | "symbol-name-not-supported" | "unsupported-content-type" | "missing-http-parts" | "use-encoding-context-without-provider" | "unexpected-non-scalar-type", M extends keyof {
    "unknown-encoding": {
        readonly default: "Unknown encoding";
    };
    "mixed-part-nonpart": {
        readonly default: "Mixed part and non-part properties in model";
    };
    "operation-not-in-client": {
        readonly default: "Tried to get a client from an operation that is not in a client";
    };
    "non-model-parts": {
        readonly default: "Non-model parts are not supported";
    };
    "multiple-auth-schemes-not-yet-supported": {
        readonly default: "Multiple authentication schemes are not yet supported";
    };
    "key-credential-non-header-not-implemented": {
        readonly default: "Key credential in query or cookie is not implemented";
    };
    "unsupported-nondiscriminated-union": {
        readonly default: "Unsupported non-discriminated union, skipping deserializer";
    };
    "no-name-type": {
        readonly default: "Trying to get a name from a type that doesn't have a name";
    };
    "symbol-name-not-supported": {
        readonly default: "The transform namer doesn't support symbol names";
    };
    "unsupported-content-type": {
        readonly default: "Unsupported content type. Falling back to json";
    };
    "missing-http-parts": {
        readonly default: "The operation is defined as a Multipart operation but has no parts";
    };
    "use-encoding-context-without-provider": {
        readonly default: "Trying to use encoding context without a provider";
    };
    "unexpected-non-scalar-type": {
        readonly default: "Unexpected non-scalar type when trying to extract Scalar data";
    };
}[C]>(diag: import("@typespec/compiler").DiagnosticReport<{
    "unknown-encoding": {
        readonly default: "Unknown encoding";
    };
    "mixed-part-nonpart": {
        readonly default: "Mixed part and non-part properties in model";
    };
    "operation-not-in-client": {
        readonly default: "Tried to get a client from an operation that is not in a client";
    };
    "non-model-parts": {
        readonly default: "Non-model parts are not supported";
    };
    "multiple-auth-schemes-not-yet-supported": {
        readonly default: "Multiple authentication schemes are not yet supported";
    };
    "key-credential-non-header-not-implemented": {
        readonly default: "Key credential in query or cookie is not implemented";
    };
    "unsupported-nondiscriminated-union": {
        readonly default: "Unsupported non-discriminated union, skipping deserializer";
    };
    "no-name-type": {
        readonly default: "Trying to get a name from a type that doesn't have a name";
    };
    "symbol-name-not-supported": {
        readonly default: "The transform namer doesn't support symbol names";
    };
    "unsupported-content-type": {
        readonly default: "Unsupported content type. Falling back to json";
    };
    "missing-http-parts": {
        readonly default: "The operation is defined as a Multipart operation but has no parts";
    };
    "use-encoding-context-without-provider": {
        readonly default: "Trying to use encoding context without a provider";
    };
    "unexpected-non-scalar-type": {
        readonly default: "Unexpected non-scalar type when trying to extract Scalar data";
    };
}, C, M>) => import("@typespec/compiler").Diagnostic;
//# sourceMappingURL=lib.d.ts.map